Package: org.codehaus.groovy.transform.stc

## [Java] Class ExtensionMethodCache

- org.codehaus.groovy.transform.stc.ExtensionMethodCache

-     public class ExtensionMethodCache
      extends AbstractExtensionMethodCache

  This class is used to make extension methods lookup faster. Basically, it will only collect the list of extension methods (see ExtensionModule) if the list of extension modules has changed. It avoids recomputing the whole list each time we perform a method lookup.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ExtensionMethodCache` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addAdditionalClassesToScan(Set<Class> instanceExtClasses, Set<Class> staticExtClasses)`
    `` | `protected String` | `getDisablePropertyName()`
    `` | `protected Predicate<MethodNode>` | `getMethodFilter()`
    `` | `protected Function<MethodNode, String>` | `getMethodMapper()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractExtensionMethodCache` | `addAdditionalClassesToScan, get, getDisablePropertyName, getMethodFilter, getMethodMapper`

- - ### Field Detail

    - #### public static final ExtensionMethodCache INSTANCE

  - ### Method Detail

    - #### @Override
      protected void addAdditionalClassesToScan(Set<Class> instanceExtClasses, Set<Class> staticExtClasses)

    - #### @Override
      protected String getDisablePropertyName()

    - #### @Override
      protected Predicate<MethodNode> getMethodFilter()

    - #### @Override
      protected Function<MethodNode, String> getMethodMapper()